package com.eactive.eai.common.inflow;

import java.io.Serializable;

@SuppressWarnings("serial")
public class InflowTargetVO implements Serializable {
	String 	name;
	long 	thresholdPerSecond;
	long 	threshold;
	String	thresholdTimeUnit;
	boolean activate;

	@Override
	public boolean equals(Object obj) {
		return name.equals(obj);
	}

	@Override
	public int hashCode() {
		return name.hashCode();
	}

	public boolean isActivate() {
		return activate;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public long getThreshold() {
		return threshold;
	}

	public void setThreshold(long threshold) {
		this.threshold = threshold;
	}

	public void setActivate(boolean activate) {
		this.activate = activate;
	}

	public long getThresholdPerSecond() {
		return thresholdPerSecond;
	}

	public void setThresholdPerSecond(long thresholdPerSecond) {
		this.thresholdPerSecond = thresholdPerSecond;
	}

	public String getThresholdTimeUnit() {
		return thresholdTimeUnit;
	}

	public void setThresholdTimeUnit(String thresholdTimeUnit) {
		this.thresholdTimeUnit = thresholdTimeUnit;
	}

	@Override
	public String toString() {
		return "InflowTargetVO [name=" + name + ", thresholdPerSecond=" + thresholdPerSecond + ", threshold="
				+ threshold + ", thresholdTimeUnit=" + thresholdTimeUnit + ", activate=" + activate + "]";
	}
}
